Subject: [smartpower-interest] Report on the Smart Grid work in the IETF

From: Fred Baker <[email-masked]>
Date: Wed, 30 Mar 2011 07:20:52 +0200

Ross asked me to put together a report on Smart Grid-related work in the IETF.

In short, we have two RFCs and 18 Internet Drafts at this moment that explicitly mention the Smart Grid. The two RFCs are:

http://www.ietf.org/rfc/rfc5548.txt
5548 Routing Requirements for Urban Low-Power and Lossy Networks. M.
     Dohler, Ed., T. Watteyne, Ed., T. Winter, Ed., D. Barthel, Ed.. May
     2009. (Format: TXT=47759 bytes) (Status: INFORMATIONAL)

http://www.ietf.org/rfc/rfc6142.txt
6142 ANSI C12.22, IEEE 1703, and MC12.22 Transport Over IP. A. Moise,
     J. Brodkin. March 2011. (Format: TXT=58320 bytes) (Status:
     INFORMATIONAL)

The first was generated by 6lowpan, I believe, and tells us something about what ROLL should produce; the second was an individual submission by one of the co-authors of ANSI C12.22, which is a specification for the protocols by which one reads an electrical meter. 

The internet drafts include:

 - draft-arkko-ipv6-transition-guidelines, which mentions the grid in passing, and is on the RFC Editor's queue.
 - draft-baker-ietf-core, which was requested by NIST/SGIP, and is in discussion with the IESG and waiting for text regarding PKIX, Kerberos, and SSH per a "discuss" from Tim Polk
 - draft-campagna-suitee, which describes a cryptographic suite of algorithms intended for constrained embedded systems.
 - several drafts in EMAN, which is looking at measuring energy usage in Internet equipment.
 - draft-ietf-roll-terminology, which is a terminology draft in ROLL.
 - draft-lee-iot-problem-statement, which identifies the Smart Grid as containing a class of embedded systems.
 - draft-mrw-nat66, which mentions it in passing.
 - draft-oflynn-core-bootstrapping and draft-sarikaya-core-sbootstrappingfs, which reference NIST 7628, which is a security analysis of the US power grid and by extension a requirements document for security solutions in the Smart Grid.
 - draft-oreirdan-mody-bot-remediation, which mentions "smart home" and "smart grid" devices in passing.

More generally, work in the IETF is primarily concentrated in 6LowPAN, ROLL, CORE, and EMAN, with the odd supporting effort such as a 6man discussion related to the RPL protocol. As you know, 6lowpan has developed a compression algorithm and compressed IPv6 header for IEEE 802.15.4 networks, which is being looked at by the IEEE for possible use in power-line communications. Roll has developed a routing protocol called RPL for 802.15.4 networks, for which the usual analysis, interoperability testing reports, and management base remain unavailable, which raises questions about the protocol. Core is working on a transport for RESTful HTTP, which is proposed as one way for embedded systems to communicate (although I will note that published specifications for intersystem communications, such as ANSI C12 and IEC 14908, use much simpler data formats designed for system-to-system communication rather than system-to-human display of data content, and TCP has been shown to be viable in an 802.15.4 environment in the Zigbee work). Eman is working on MIBs and related technology for measurement of energy use in various places.

Note that, while sensor networks and embedded systems in general are probably a more appropriate report, I haven't done the analysis to identify that body of work. I would expect it is a superset of the above.

The IAB held a workshop in Prague last week on the "Internet of Things", which is probably better described as being about the evolution of Internet Technology in a machine-to-machine embedded system context. The web pages for that are at
      http://www.iab.org/about/workshops/smartobjects/

The workshop did in fact occur, and the organizers will eventually generate a report. It was essentially a research discussion and a set of tutorials on specific technologies that are relevant.